Manual Groups
Create, rename, delete, and manage members or managers of manual groups.
Returns user ids for managers assigned to the manual group.
Authorization
Bearer A JSON Web Token
In: header
Path Parameters
Manual group id.
Response Body
application/json
curl -X GET "https://example.com/groups/7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11/managers"{ "userIds": [ "string" ]}Adds one or more users as managers of the manual group.
Authorization
Bearer A JSON Web Token
In: header
Path Parameters
Manual group id.
Request Body
application/json
User ids to add as group managers.
TypeScript Definitions
Use the request body type in TypeScript.
List of user ids used for group member/manager updates.
Response Body
application/json
curl -X POST "https://example.com/groups/7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11/managers" \ -H "Content-Type: application/json" \ -d '{}'Returns user ids for members assigned to the manual group.
Authorization
Bearer A JSON Web Token
In: header
Path Parameters
Manual group id.
Response Body
application/json
curl -X GET "https://example.com/groups/7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11/members"{ "userIds": [ "string" ]}Adds one or more users as members of the manual group.
Authorization
Bearer A JSON Web Token
In: header
Path Parameters
Manual group id.
Request Body
application/json
User ids to add as group members.
TypeScript Definitions
Use the request body type in TypeScript.
List of user ids used for group member/manager updates.
Response Body
application/json
curl -X POST "https://example.com/groups/7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11/members" \ -H "Content-Type: application/json" \ -d '{}'Returns manual groups for the customer. Use skip and limit for client-side pagination of the returned group list.
Authorization
Bearer A JSON Web Token
In: header
Query Parameters
Number of groups to skip.
int320Maximum number of groups to return.
int32100Response Body
application/json
curl -X GET "https://example.com/groups?skip=0&limit=100"{ "groups": [ { "groupId": "7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11", "name": "Sales team" } ]}Creates a manual group with an API-generated group id. The request may include initial members and managers.
Authorization
Bearer A JSON Web Token
In: header
Request Body
application/json
Manual group definition, including name and optional member/manager user ids.
TypeScript Definitions
Use the request body type in TypeScript.
Manual group creation request.
Response Body
application/json
application/json
curl -X POST "https://example.com/groups" \ -H "Content-Type: application/json" \ -d '{ "name": "Sales team" }'{ "groupId": "7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11"}Deletes a manual group by id.
Authorization
Bearer A JSON Web Token
In: header
Path Parameters
Manual group id.
Response Body
curl -X DELETE "https://example.com/groups/7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11"Removes a user from the managers of the manual group.
Authorization
Bearer A JSON Web Token
In: header
Path Parameters
Manual group id.
User id to remove from group managers.
Response Body
curl -X DELETE "https://example.com/groups/7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11/managers/7f9c2a1e-4b8d-4f6a-9c2e-1d3b5a7e9c01"Removes a user from the members of the manual group.
Authorization
Bearer A JSON Web Token
In: header
Path Parameters
Manual group id.
User id to remove from group members.
Response Body
curl -X DELETE "https://example.com/groups/7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11/members/7f9c2a1e-4b8d-4f6a-9c2e-1d3b5a7e9c01"Updates the display name of a manual group.
Authorization
Bearer A JSON Web Token
In: header
Path Parameters
Manual group id.
Request Body
application/json
New manual group name.
TypeScript Definitions
Use the request body type in TypeScript.
Manual group rename request.
Response Body
application/json
curl -X POST "https://example.com/groups/7d6b7a10-2b2a-4a30-8a2e-39ad8e4f2b11/rename" \ -H "Content-Type: application/json" \ -d '{}'